Skip Menu |
 

This queue is for tickets about the WWW-Scripter-Plugin-Ajax CPAN distribution.

Report information
The Basics
Id: 118588
Status: new
Priority: 0/
Queue: WWW-Scripter-Plugin-Ajax

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc: DANKOGAI [...] cpan.org
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.09
Fixed in: (no value)



CC: DANKOGAI [...] cpan.org
Subject: UTF-8 with invalid sequences fails (with Encode 2.87?)
Download (untitled) / with headers
text/plain 1.6k
Some of my smoker systems report the following failure: # Failed test 'UTF-8 with invalid sequences' # at /usr/perl5.22.0p/lib/site_perl/5.22.0/JE/Object/Function.pm line 474. Wide character in print at /usr/perl5.22.0p/lib/site_perl/5.22.0/Test2/Formatter/TAP.pm line 105. # got: 'Ā�' # expected: 'Ā� ' # Looks like you failed 1 test of 217. t/test.t ......... Dubious, test returned 1 (wstat 256, 0x100) Failed 1/217 subtests Statistical analysis shows that there are no pass reports if Encode 2.87 is installed (theta=-1): **************************************************************** Regression 'mod:Encode' **************************************************************** Name Theta StdErr T-stat [0='const'] 1.0000 0.2073 4.82 [1='eq_2.44_01'] 0.0000 0.2931 0.00 [2='eq_2.49'] 0.0000 0.2539 0.00 [3='eq_2.60'] 0.0000 0.2393 0.00 [4='eq_2.72'] 0.0000 0.2317 0.00 [5='eq_2.72_01'] 0.0000 0.2539 0.00 [6='eq_2.73'] -0.0000 0.2931 -0.00 [7='eq_2.78'] -0.0000 0.2393 -0.00 [8='eq_2.80'] 0.0000 0.2539 0.00 [9='eq_2.80_01'] 0.0000 0.2539 0.00 [10='eq_2.82'] -0.0000 0.2931 -0.00 [11='eq_2.83'] 0.0000 0.2539 0.00 [12='eq_2.84'] -0.0000 0.2271 -0.00 [13='eq_2.85'] -0.3333 0.2393 -1.39 [14='eq_2.86'] -0.0769 0.2151 -0.36 [15='eq_2.87'] -1.0000 0.2199 -4.55 R^2= 0.804, N= 53, K= 16


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.